EPR_Record Struct Reference

The `EPR_Record` structure represents a record instance read from an ENVISAT dataset. More...

`#include <epr_api.h>`

## Data Fields

EPR_Magic | magic
| The magic number for this structure.
uint | num_fields
| The number of fields contained in this record.
EPR_SRecordInfo * | info
| The corresponding record info for this record (a 'soft' pointer).
EPR_SField ** | fields
| The record fields.

## Detailed Description

The `EPR_Record` structure represents a record instance read from an ENVISAT dataset.

A record is composed of multiple fields.

See also
  EPR_Field

## Field Documentation

## magic

EPR_Magic EPR_Record::magic

The magic number for this structure.

IMPORTANT: This must always be the first member of this structure.

## num_fields

uint EPR_Record::num_fields

The number of fields contained in this record.

The value is always equal `info->field_infos->length` and is provided here for convenience only.

## info

EPR_SRecordInfo* EPR_Record::info

The corresponding record info for this record (a 'soft' pointer).

## fields

EPR_SField** EPR_Record::fields

The record fields.

An array of `EPR_Field*` of length `info->num_fields`

The documentation for this struct was generated from the following file:

- epr_api.h